> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List project users

> List all users assigned to a project.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/project-users.yaml GET /projects/{project_id}/project-users
openapi: 3.0.3
info:
  title: NeetoInvoice APIs
  version: 2.0.0
servers:
  - description: NeetoInvoice APIs
    url: https://{your-subdomain}.neetoinvoice.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /projects/{project_id}/project-users:
    get:
      tags:
        - Project Users
      summary: List project users
      description: List all users assigned to a project.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/project_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/project_users_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    project_id_param:
      in: path
      name: project_id
      description: >-
        Unique ID of the project for which you want to retrieve or update
        details. Refer to [Getting the Project
        ID](/getting-started/getting-project-id) section for detailed
        instructions.
      required: true
      schema:
        type: string
      example: e34204233797f4b637c5
  schemas:
    project_users_response:
      type: object
      properties:
        project_users:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              user_id:
                type: string
                format: uuid
              role:
                type: string
              hourly_rate:
                type: number
                format: float
                nullable: true
              name:
                type: string
              email:
                type: string
                format: email
              time_zone:
                type: string

````